package com.xjrsoft.module.student.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.BaseStudentInfoDetailDto;
import com.xjrsoft.module.student.dto.EnrollmentStatisticsInfoDto;
import com.xjrsoft.module.student.dto.PbVXsxxsfytbDto;
import com.xjrsoft.module.student.entity.PbVXsxxsfytb;
import com.xjrsoft.module.student.vo.BaseClassQfCountVo;
import com.xjrsoft.module.student.vo.FeeDetailListVo;
import com.xjrsoft.module.student.vo.PbVXsxxsfytbFeeitemVo;
import com.xjrsoft.module.student.vo.PbVXsxxsfytbSpecnameCountVo;
import com.xjrsoft.module.student.vo.PbVXsxxsfytbVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 
* @Author dzx
* @Date: 2024-03-13
* @Version 1.0
*/
@Mapper
public interface PbVXsxxsfytbMapper extends MPJBaseMapper<PbVXsxxsfytb> {
    List<BaseClassQfCountVo> getClassQfCount();

    List<PbVXsxxsfytbVo> getList(@Param("dto") PbVXsxxsfytbDto dto);

    List<PbVXsxxsfytbSpecnameCountVo> getSpecnameCount(@Param("dto") EnrollmentStatisticsInfoDto dto);

    PbVXsxxsfytbFeeitemVo getStudentFeeInfo(@Param("dto") BaseStudentInfoDetailDto dto);

    List<FeeDetailListVo> getFeeDetail(@Param("studentcode") String studentcode);
}
