package com.xjrsoft.module.textbook.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.textbook.entity.WfTextbookSubscription;

import java.util.List;

/**
* @title: 教材教辅征订
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/

public interface IWfTextbookSubscriptionService extends MPJBaseService<WfTextbookSubscription> {
    /**
    * 新增
    *
    * @param wfTextbookSubscription
    * @return
    */
    Boolean add(WfTextbookSubscription wfTextbookSubscription);

    /**
    * 更新
    *
    * @param wfTextbookSubscription
    * @return
    */
    Boolean update(WfTextbookSubscription wfTextbookSubscription);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    /**
     * 根据Id查询征订项
     *
     * @param id
     * @return
     */
    WfTextbookSubscription selectById(Long id);

}
