package com.xjrsoft.module.textbook.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

import java.util.List;


/**
* @title: 教材教辅征订
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class AddWfTextbookSubscriptionDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 所在部门编号
    */
    @ApiModelProperty("所在部门编号")
    private Long deptId;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 学科组管理编号(subject_group)
    */
    @ApiModelProperty("学科组管理编号(subject_group)")
    private Long subjectGroupId;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

    /**
    * wfTextbookSubscriptionItem
    */
    @ApiModelProperty("wfTextbookSubscriptionItem子表")
    private List<AddWfTextbookSubscriptionItemDto> wfTextbookSubscriptionItemList;
}
